%define enable_debug	0
%{?_with_debug: %global enable_debug 1}
%{?_without_debug: %global use_debug 0}
Summary:	ADSL/PPPoE userspace driver
Name:		rp-pppoe
Version:	3.14
Release:	%mkrel 4
Source0:	http://www.roaringpenguin.com/files/download/%{name}-%{version}.tar.gz
Source3:	http://www.luigisgro.com/sw/rp-pppoe-3.8.patch/README-first-session-packet-lost.txt
Patch0:		rp-pppoe-3.8-CAN-2004-0564.patch
Patch1:     %{name}-3.14-resolve-conf.patch
Url:		http://www.roaringpenguin.com/pppoe
License:	GPL
Group:		System/Servers
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%global pppver %((%{__awk} '/^#define PPPD_VERSION/ { print $NF }' /usr/include/pppd/pppdconf.h 2>/dev/null||echo none)|/usr/bin/tr -d '"')
Requires:	ppp = %{pppver}

BuildRequires:	autoconf2.5
BuildRequires:	ppp-devel = %{pppver}

Requires:   	glibc >= 2.10.1
Requires:   	libstdc++6 >= 4.4.1
Obsoletes: 	%name < %version
Obsoletes: 	%name-plugin

%package	gui
Group:		System/Servers
Summary:	GUI front-end for rp-pppoe
Requires:	rp-pppoe >= %version
Requires:	tk

%description
PPPoE (Point-to-Point Protocol over Ethernet) is a protocol used by
many ADSL Internet Service Providers. Roaring Penguin has a free
client for Linux systems to connect to PPPoE service providers.

The client is a user-mode program and does not require any kernel
modifications. It is fully compliant with RFC 2516, the official PPPoE
specification.

It has been tested with many ISPs, such as the Canadian Sympatico HSE (High
Speed Edition) service.

%description	gui
This package contains the graphical frontend (tk-based) for rp-pppoe.

Install this if you wish to have a graphical frontend for pppoe.


%prep
%setup -q
%patch0 -p1 -b .CAN
%patch1 -p1 -b .resolvconf

%build
cd src
%configure
%make_build
cd ../gui
%make_build


%install
rm -fr %buildroot
install -d -m 0755 %buildroot
install -m 644 %{SOURCE3} ./README-first-session-packet-lost.txt

pushd src
%makeinstall_std
popd

pushd gui
%makeinstall_std
popd

# This is necessary for the gui to work, but it shouldn't be done here !
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ppp/rp-pppoe-gui

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/rp-pppoe-gui.desktop <<EOF
[Desktop Entry]
Name=TkPPPoE
Comment=Frontend for rp-pppoe
Exec=%{_bindir}/tkpppoe
Icon=remote_access_section
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Internet-RemoteAccess;Network;RemoteAccess;Dialup;
EOF

perl -pi -e "s/restart/restart\|reload/g;" %{buildroot}%{_initrddir}/pppoe
rm -rf %{buildroot}/usr/share/doc

mkdir -p $RPM_BUILD_ROOT%{_libdir}/pppd/%{pppver}
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/ppp/plugins/README

# backward compatibility links
for i in connect start stop setup status; do
	ln -sf %{_sbindir}/pppoe-$i $RPM_BUILD_ROOT%{_sbindir}/adsl-$i
	ln -sf pppoe-$i.8 $RPM_BUILD_ROOT%{_mandir}/man8/adsl-$i.8
done

%if %enable_debug
export DONT_STRIP=1
export EXCLUDE_FROM_STRIP=".*"
%endif

%clean
rm -fr %buildroot

%pre
#avoid pppoe.rpmnew
rm -f /etc/rc.d/init.d/pppoe

%post gui
%update_desktop_database
%update_menus

%postun gui
%clean_desktop_database
%clean_menus


%files
%defattr(-,root,root)
%doc doc/* README SERVPOET
%doc README-first-session-packet-lost.txt
%config(noreplace) %{_sysconfdir}/ppp/pppoe.conf
%config(noreplace) %{_sysconfdir}/ppp/pppoe-server-options
%config(noreplace) %{_sysconfdir}/ppp/firewall-masq
%config(noreplace) %{_sysconfdir}/ppp/firewall-standalone
%{_sbindir}/pppoe
%{_sbindir}/pppoe-connect
%{_sbindir}/pppoe-relay
%{_sbindir}/pppoe-server
%{_sbindir}/pppoe-setup
%{_sbindir}/pppoe-sniff
%{_sbindir}/pppoe-start
%{_sbindir}/pppoe-status
%{_sbindir}/pppoe-stop
%{_sbindir}/adsl-connect
%{_sbindir}/adsl-setup
%{_sbindir}/adsl-start
%{_sbindir}/adsl-status
%{_sbindir}/adsl-stop
%{_mandir}/man[58]/*
%{_initrddir}/pppoe

%files gui
%defattr(-,root,root)
%{_bindir}/tkpppoe
%{_sbindir}/pppoe-wrapper
%{_mandir}/man1/*
%{_datadir}/applications/*
%dir %{_datadir}/tkpppoe
%dir %{_sysconfdir}/ppp/rp-pppoe-gui
%{_datadir}/tkpppoe/*


%changelog
* Fri Jul 24 2023 yodelu - 3.14-4pclos2023
- rebuild

* Tue Feb 24 2021 tex - 3.14-3pclos2021
- avoid /etc/rc.d/init.d/pppoe.rpmnew

* Tue Feb 24 2021 yodelu 3.14-2pclos2021
- resolvconf - don't create a link to.

* Fri Feb 12 2021 yodelu 3.14-1pclos2021
- update
- drop obsolete plugin as is now provided by pppoe


* Sun Nov 15 2009 Texstar <texstar at gmail.com> 3.10-1pclos2010
- 3.10
- gcc update

